pragma Warnings (Off);
pragma Ada_95;
pragma Source_File_Name (gnatcoll_sqlitemain, Spec_File_Name => "b__gnatcoll_sqlite.ads");
pragma Source_File_Name (gnatcoll_sqlitemain, Body_File_Name => "b__gnatcoll_sqlite.adb");
pragma Suppress (Overflow_Check);

with System.Restrictions;
with Ada.Exceptions;

package body gnatcoll_sqlitemain is

   E019 : Short_Integer; pragma Import (Ada, E019, "system__soft_links_E");
   E017 : Short_Integer; pragma Import (Ada, E017, "system__exception_table_E");
   E027 : Short_Integer; pragma Import (Ada, E027, "system__exceptions_E");
   E058 : Short_Integer; pragma Import (Ada, E058, "system__soft_links__initialize_E");
   E140 : Short_Integer; pragma Import (Ada, E140, "ada__containers_E");
   E069 : Short_Integer; pragma Import (Ada, E069, "ada__io_exceptions_E");
   E014 : Short_Integer; pragma Import (Ada, E014, "ada__strings_E");
   E111 : Short_Integer; pragma Import (Ada, E111, "gnat_E");
   E115 : Short_Integer; pragma Import (Ada, E115, "interfaces__c_E");
   E222 : Short_Integer; pragma Import (Ada, E222, "interfaces__c__strings_E");
   E177 : Short_Integer; pragma Import (Ada, E177, "system__os_lib_E");
   E238 : Short_Integer; pragma Import (Ada, E238, "system__task_info_E");
   E071 : Short_Integer; pragma Import (Ada, E071, "ada__tags_E");
   E068 : Short_Integer; pragma Import (Ada, E068, "ada__streams_E");
   E178 : Short_Integer; pragma Import (Ada, E178, "system__file_control_block_E");
   E102 : Short_Integer; pragma Import (Ada, E102, "system__finalization_root_E");
   E100 : Short_Integer; pragma Import (Ada, E100, "ada__finalization_E");
   E175 : Short_Integer; pragma Import (Ada, E175, "system__file_io_E");
   E208 : Short_Integer; pragma Import (Ada, E208, "ada__streams__stream_io_E");
   E104 : Short_Integer; pragma Import (Ada, E104, "system__storage_pools_E");
   E095 : Short_Integer; pragma Import (Ada, E095, "system__finalization_masters_E");
   E093 : Short_Integer; pragma Import (Ada, E093, "system__storage_pools__subpools_E");
   E118 : Short_Integer; pragma Import (Ada, E118, "ada__calendar_E");
   E124 : Short_Integer; pragma Import (Ada, E124, "ada__calendar__time_zones_E");
   E171 : Short_Integer; pragma Import (Ada, E171, "ada__text_io_E");
   E113 : Short_Integer; pragma Import (Ada, E113, "gnat__calendar_E");
   E305 : Short_Integer; pragma Import (Ada, E305, "system__assertions_E");
   E062 : Short_Integer; pragma Import (Ada, E062, "ada__strings__maps_E");
   E066 : Short_Integer; pragma Import (Ada, E066, "ada__strings__maps__constants_E");
   E087 : Short_Integer; pragma Import (Ada, E087, "ada__strings__unbounded_E");
   E192 : Short_Integer; pragma Import (Ada, E192, "system__regpat_E");
   E232 : Short_Integer; pragma Import (Ada, E232, "system__task_primitives__operations_E");
   E169 : Short_Integer; pragma Import (Ada, E169, "gnat__calendar__time_io_E");
   E321 : Short_Integer; pragma Import (Ada, E321, "gnat__directory_operations_E");
   E295 : Short_Integer; pragma Import (Ada, E295, "system__checked_pools_E");
   E290 : Short_Integer; pragma Import (Ada, E290, "gnat__debug_pools_E");
   E159 : Short_Integer; pragma Import (Ada, E159, "system__pool_global_E");
   E187 : Short_Integer; pragma Import (Ada, E187, "gnat__expect_E");
   E157 : Short_Integer; pragma Import (Ada, E157, "system__pool_size_E");
   E330 : Short_Integer; pragma Import (Ada, E330, "system__regexp_E");
   E325 : Short_Integer; pragma Import (Ada, E325, "ada__directories_E");
   E254 : Short_Integer; pragma Import (Ada, E254, "system__tasking__initialization_E");
   E264 : Short_Integer; pragma Import (Ada, E264, "system__tasking__protected_objects_E");
   E266 : Short_Integer; pragma Import (Ada, E266, "system__tasking__protected_objects__entries_E");
   E262 : Short_Integer; pragma Import (Ada, E262, "system__tasking__queuing_E");
   E145 : Short_Integer; pragma Import (Ada, E145, "gnatcoll__atomic_E");
   E288 : Short_Integer; pragma Import (Ada, E288, "gnatcoll__memory_E");
   E220 : Short_Integer; pragma Import (Ada, E220, "gnatcoll__plugins_E");
   E151 : Short_Integer; pragma Import (Ada, E151, "gnatcoll__storage_pools__headers_E");
   E149 : Short_Integer; pragma Import (Ada, E149, "gnatcoll__refcount_E");
   E280 : Short_Integer; pragma Import (Ada, E280, "gnatcoll__strings_impl_E");
   E278 : Short_Integer; pragma Import (Ada, E278, "gnatcoll__strings_E");
   E277 : Short_Integer; pragma Import (Ada, E277, "gnatcoll__strings_E");
   E297 : Short_Integer; pragma Import (Ada, E297, "gnatcoll__mmap_E");
   E299 : Short_Integer; pragma Import (Ada, E299, "gnatcoll__mmap__system_E");
   E301 : Short_Integer; pragma Import (Ada, E301, "gnatcoll__templates_E");
   E303 : Short_Integer; pragma Import (Ada, E303, "gnatcoll__terminal_E");
   E165 : Short_Integer; pragma Import (Ada, E165, "gnatcoll__utils_E");
   E161 : Short_Integer; pragma Import (Ada, E161, "gnatcoll__sql_impl_E");
   E139 : Short_Integer; pragma Import (Ada, E139, "gnatcoll__sql_E");
   E316 : Short_Integer; pragma Import (Ada, E316, "gnatcoll__io_E");
   E332 : Short_Integer; pragma Import (Ada, E332, "gnatcoll__path_E");
   E323 : Short_Integer; pragma Import (Ada, E323, "gnatcoll__io__native_E");
   E335 : Short_Integer; pragma Import (Ada, E335, "gnatcoll__remote_E");
   E339 : Short_Integer; pragma Import (Ada, E339, "gnatcoll__remote__db_E");
   E319 : Short_Integer; pragma Import (Ada, E319, "gnatcoll__io__remote_E");
   E337 : Short_Integer; pragma Import (Ada, E337, "gnatcoll__io__remote__windows_E");
   E334 : Short_Integer; pragma Import (Ada, E334, "gnatcoll__io__remote__unix_E");
   E310 : Short_Integer; pragma Import (Ada, E310, "gnatcoll__vfs_E");
   E282 : Short_Integer; pragma Import (Ada, E282, "gnatcoll__traces_E");
   E216 : Short_Integer; pragma Import (Ada, E216, "gnatcoll__sql__exec_E");
   E224 : Short_Integer; pragma Import (Ada, E224, "gnatcoll__sql__exec__tasking_E");
   E270 : Short_Integer; pragma Import (Ada, E270, "gnatcoll__sql__exec_private_E");
   E006 : Short_Integer; pragma Import (Ada, E006, "gnatcoll__sql__sqlite_E");
   E002 : Short_Integer; pragma Import (Ada, E002, "gnatcoll__sql__sqlite__builder_E");
   E004 : Short_Integer; pragma Import (Ada, E004, "gnatcoll__sql__sqlite__gnade_E");

   Sec_Default_Sized_Stacks : array (1 .. 1) of aliased System.Secondary_Stack.SS_Stack (System.Parameters.Runtime_Default_Sec_Stack_Size);

   Local_Priority_Specific_Dispatching : constant String := "";
   Local_Interrupt_States : constant String := "";

   Is_Elaborated : Boolean := False;

   procedure finalize_library is
   begin
      declare
         procedure F1;
         pragma Import (Ada, F1, "gnatcoll__sql__sqlite__builder__finalize_body");
      begin
         E002 := E002 - 1;
         if E002 = 0 then
            F1;
         end if;
      end;
      declare
         procedure F2;
         pragma Import (Ada, F2, "gnatcoll__sql__sqlite__finalize_body");
      begin
         E006 := E006 - 1;
         if E006 = 0 then
            F2;
         end if;
      end;
      declare
         procedure F3;
         pragma Import (Ada, F3, "gnatcoll__sql__sqlite__finalize_spec");
      begin
         if E006 = 0 then
            F3;
         end if;
      end;
      declare
         procedure F4;
         pragma Import (Ada, F4, "gnatcoll__sql__exec__finalize_body");
      begin
         E216 := E216 - 1;
         if E216 = 0 then
            F4;
         end if;
      end;
      declare
         procedure F5;
         pragma Import (Ada, F5, "gnatcoll__sql__exec__tasking__finalize_body");
      begin
         E224 := E224 - 1;
         if E224 = 0 then
            F5;
         end if;
      end;
      declare
         procedure F6;
         pragma Import (Ada, F6, "gnatcoll__sql__exec__finalize_spec");
      begin
         if E216 = 0 then
            F6;
         end if;
      end;
      declare
         procedure F7;
         pragma Import (Ada, F7, "gnatcoll__traces__finalize_body");
      begin
         E282 := E282 - 1;
         if E282 = 0 then
            F7;
         end if;
      end;
      declare
         procedure F8;
         pragma Import (Ada, F8, "gnatcoll__traces__finalize_spec");
      begin
         if E282 = 0 then
            F8;
         end if;
      end;
      E310 := E310 - 1;
      declare
         procedure F9;
         pragma Import (Ada, F9, "gnatcoll__vfs__finalize_spec");
      begin
         if E310 = 0 then
            F9;
         end if;
      end;
      E319 := E319 - 1;
      declare
         procedure F10;
         pragma Import (Ada, F10, "gnatcoll__io__remote__finalize_spec");
      begin
         if E319 = 0 then
            F10;
         end if;
      end;
      declare
         procedure F11;
         pragma Import (Ada, F11, "gnatcoll__remote__finalize_spec");
      begin
         E335 := E335 - 1;
         if E335 = 0 then
            F11;
         end if;
      end;
      E323 := E323 - 1;
      declare
         procedure F12;
         pragma Import (Ada, F12, "gnatcoll__io__native__finalize_spec");
      begin
         if E323 = 0 then
            F12;
         end if;
      end;
      E316 := E316 - 1;
      declare
         procedure F13;
         pragma Import (Ada, F13, "gnatcoll__io__finalize_spec");
      begin
         if E316 = 0 then
            F13;
         end if;
      end;
      declare
         procedure F14;
         pragma Import (Ada, F14, "gnatcoll__sql__finalize_body");
      begin
         E139 := E139 - 1;
         if E139 = 0 then
            F14;
         end if;
      end;
      declare
         procedure F15;
         pragma Import (Ada, F15, "gnatcoll__sql__finalize_spec");
      begin
         if E139 = 0 then
            F15;
         end if;
      end;
      declare
         procedure F16;
         pragma Import (Ada, F16, "gnatcoll__sql_impl__finalize_body");
      begin
         E161 := E161 - 1;
         if E161 = 0 then
            F16;
         end if;
      end;
      declare
         procedure F17;
         pragma Import (Ada, F17, "gnatcoll__sql_impl__finalize_spec");
      begin
         if E161 = 0 then
            F17;
         end if;
      end;
      E303 := E303 - 1;
      declare
         procedure F18;
         pragma Import (Ada, F18, "gnatcoll__terminal__finalize_spec");
      begin
         if E303 = 0 then
            F18;
         end if;
      end;
      E149 := E149 - 1;
      declare
         procedure F19;
         pragma Import (Ada, F19, "gnatcoll__refcount__finalize_spec");
      begin
         if E149 = 0 then
            F19;
         end if;
      end;
      declare
         procedure F20;
         pragma Import (Ada, F20, "gnatcoll__memory__finalize_body");
      begin
         E288 := E288 - 1;
         if E288 = 0 then
            F20;
         end if;
      end;
      E266 := E266 - 1;
      declare
         procedure F21;
         pragma Import (Ada, F21, "system__tasking__protected_objects__entries__finalize_spec");
      begin
         if E266 = 0 then
            F21;
         end if;
      end;
      E325 := E325 - 1;
      declare
         procedure F22;
         pragma Import (Ada, F22, "ada__directories__finalize_spec");
      begin
         if E325 = 0 then
            F22;
         end if;
      end;
      E330 := E330 - 1;
      declare
         procedure F23;
         pragma Import (Ada, F23, "system__regexp__finalize_spec");
      begin
         if E330 = 0 then
            F23;
         end if;
      end;
      E157 := E157 - 1;
      declare
         procedure F24;
         pragma Import (Ada, F24, "system__pool_size__finalize_spec");
      begin
         if E157 = 0 then
            F24;
         end if;
      end;
      E187 := E187 - 1;
      declare
         procedure F25;
         pragma Import (Ada, F25, "gnat__expect__finalize_spec");
      begin
         if E187 = 0 then
            F25;
         end if;
      end;
      E159 := E159 - 1;
      declare
         procedure F26;
         pragma Import (Ada, F26, "system__pool_global__finalize_spec");
      begin
         if E159 = 0 then
            F26;
         end if;
      end;
      declare
         procedure F27;
         pragma Import (Ada, F27, "gnat__debug_pools__finalize_body");
      begin
         E290 := E290 - 1;
         if E290 = 0 then
            F27;
         end if;
      end;
      declare
         procedure F28;
         pragma Import (Ada, F28, "gnat__debug_pools__finalize_spec");
      begin
         if E290 = 0 then
            F28;
         end if;
      end;
      E087 := E087 - 1;
      declare
         procedure F29;
         pragma Import (Ada, F29, "ada__strings__unbounded__finalize_spec");
      begin
         if E087 = 0 then
            F29;
         end if;
      end;
      E171 := E171 - 1;
      declare
         procedure F30;
         pragma Import (Ada, F30, "ada__text_io__finalize_spec");
      begin
         if E171 = 0 then
            F30;
         end if;
      end;
      E093 := E093 - 1;
      declare
         procedure F31;
         pragma Import (Ada, F31, "system__storage_pools__subpools__finalize_spec");
      begin
         if E093 = 0 then
            F31;
         end if;
      end;
      E095 := E095 - 1;
      declare
         procedure F32;
         pragma Import (Ada, F32, "system__finalization_masters__finalize_spec");
      begin
         if E095 = 0 then
            F32;
         end if;
      end;
      E208 := E208 - 1;
      declare
         procedure F33;
         pragma Import (Ada, F33, "ada__streams__stream_io__finalize_spec");
      begin
         if E208 = 0 then
            F33;
         end if;
      end;
      declare
         procedure F34;
         pragma Import (Ada, F34, "system__file_io__finalize_body");
      begin
         E175 := E175 - 1;
         if E175 = 0 then
            F34;
         end if;
      end;
      declare
         procedure Reraise_Library_Exception_If_Any;
            pragma Import (Ada, Reraise_Library_Exception_If_Any, "__gnat_reraise_library_exception_if_any");
      begin
         Reraise_Library_Exception_If_Any;
      end;
   end finalize_library;

   procedure gnatcoll_sqlitefinal is

      procedure Runtime_Finalize;
      pragma Import (C, Runtime_Finalize, "__gnat_runtime_finalize");

   begin
      if not Is_Elaborated then
         return;
      end if;
      Is_Elaborated := False;
      Runtime_Finalize;
      finalize_library;
   end gnatcoll_sqlitefinal;

   type No_Param_Proc is access procedure;

   procedure gnatcoll_sqliteinit is
      Main_Priority : Integer;
      pragma Import (C, Main_Priority, "__gl_main_priority");
      Time_Slice_Value : Integer;
      pragma Import (C, Time_Slice_Value, "__gl_time_slice_val");
      WC_Encoding : Character;
      pragma Import (C, WC_Encoding, "__gl_wc_encoding");
      Locking_Policy : Character;
      pragma Import (C, Locking_Policy, "__gl_locking_policy");
      Queuing_Policy : Character;
      pragma Import (C, Queuing_Policy, "__gl_queuing_policy");
      Task_Dispatching_Policy : Character;
      pragma Import (C, Task_Dispatching_Policy, "__gl_task_dispatching_policy");
      Priority_Specific_Dispatching : System.Address;
      pragma Import (C, Priority_Specific_Dispatching, "__gl_priority_specific_dispatching");
      Num_Specific_Dispatching : Integer;
      pragma Import (C, Num_Specific_Dispatching, "__gl_num_specific_dispatching");
      Main_CPU : Integer;
      pragma Import (C, Main_CPU, "__gl_main_cpu");
      Interrupt_States : System.Address;
      pragma Import (C, Interrupt_States, "__gl_interrupt_states");
      Num_Interrupt_States : Integer;
      pragma Import (C, Num_Interrupt_States, "__gl_num_interrupt_states");
      Unreserve_All_Interrupts : Integer;
      pragma Import (C, Unreserve_All_Interrupts, "__gl_unreserve_all_interrupts");
      Detect_Blocking : Integer;
      pragma Import (C, Detect_Blocking, "__gl_detect_blocking");
      Default_Stack_Size : Integer;
      pragma Import (C, Default_Stack_Size, "__gl_default_stack_size");
      Default_Secondary_Stack_Size : System.Parameters.Size_Type;
      pragma Import (C, Default_Secondary_Stack_Size, "__gnat_default_ss_size");
      Leap_Seconds_Support : Integer;
      pragma Import (C, Leap_Seconds_Support, "__gl_leap_seconds_support");
      Bind_Env_Addr : System.Address;
      pragma Import (C, Bind_Env_Addr, "__gl_bind_env_addr");

      procedure Runtime_Initialize (Install_Handler : Integer);
      pragma Import (C, Runtime_Initialize, "__gnat_runtime_initialize");

      Finalize_Library_Objects : No_Param_Proc;
      pragma Import (C, Finalize_Library_Objects, "__gnat_finalize_library_objects");
      Binder_Sec_Stacks_Count : Natural;
      pragma Import (Ada, Binder_Sec_Stacks_Count, "__gnat_binder_ss_count");
      Default_Sized_SS_Pool : System.Address;
      pragma Import (Ada, Default_Sized_SS_Pool, "__gnat_default_ss_pool");

   begin
      if Is_Elaborated then
         return;
      end if;
      Is_Elaborated := True;
      Main_Priority := -1;
      Time_Slice_Value := -1;
      WC_Encoding := 'b';
      Locking_Policy := ' ';
      Queuing_Policy := ' ';
      Task_Dispatching_Policy := ' ';
      System.Restrictions.Run_Time_Restrictions :=
        (Set =>
          (False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, True, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False),
         Value => (0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
         Violated =>
          (False, False, False, False, True, True, False, False, 
           True, False, False, True, True, True, True, False, 
           False, True, False, False, True, True, False, True, 
           True, False, True, True, True, True, False, True, 
           False, False, False, True, False, False, True, False, 
           True, False, True, True, False, False, False, True, 
           False, False, False, True, False, True, False, True, 
           False, False, False, False, False, True, True, True, 
           False, False, True, False, True, True, True, False, 
           True, True, False, True, True, True, True, False, 
           False, True, False, False, False, False, False, False, 
           False, False, True, False),
         Count => (0, 0, 0, 0, 0, 0, 0, 0, 1, 0),
         Unknown => (False, False, False, False, False, False, False, False, True, False));
      Priority_Specific_Dispatching :=
        Local_Priority_Specific_Dispatching'Address;
      Num_Specific_Dispatching := 0;
      Main_CPU := -1;
      Interrupt_States := Local_Interrupt_States'Address;
      Num_Interrupt_States := 0;
      Unreserve_All_Interrupts := 0;
      Detect_Blocking := 0;
      Default_Stack_Size := -1;
      Leap_Seconds_Support := 0;

      gnatcoll_sqlitemain'Elab_Body;
      Default_Secondary_Stack_Size := System.Parameters.Runtime_Default_Sec_Stack_Size;
      Binder_Sec_Stacks_Count := 1;
      Default_Sized_SS_Pool := Sec_Default_Sized_Stacks'Address;

      Runtime_Initialize (1);

      if E019 = 0 then
         System.Soft_Links'Elab_Spec;
      end if;
      if E017 = 0 then
         System.Exception_Table'Elab_Body;
      end if;
      E017 := E017 + 1;
      if E027 = 0 then
         System.Exceptions'Elab_Spec;
      end if;
      E027 := E027 + 1;
      if E058 = 0 then
         System.Soft_Links.Initialize'Elab_Body;
      end if;
      E058 := E058 + 1;
      E019 := E019 + 1;
      if E140 = 0 then
         Ada.Containers'Elab_Spec;
      end if;
      E140 := E140 + 1;
      if E069 = 0 then
         Ada.Io_Exceptions'Elab_Spec;
      end if;
      E069 := E069 + 1;
      if E014 = 0 then
         Ada.Strings'Elab_Spec;
      end if;
      E014 := E014 + 1;
      if E111 = 0 then
         Gnat'Elab_Spec;
      end if;
      E111 := E111 + 1;
      if E115 = 0 then
         Interfaces.C'Elab_Spec;
      end if;
      E115 := E115 + 1;
      if E222 = 0 then
         Interfaces.C.Strings'Elab_Spec;
      end if;
      E222 := E222 + 1;
      if E177 = 0 then
         System.Os_Lib'Elab_Body;
      end if;
      E177 := E177 + 1;
      if E238 = 0 then
         System.Task_Info'Elab_Spec;
      end if;
      E238 := E238 + 1;
      if E071 = 0 then
         Ada.Tags'Elab_Spec;
      end if;
      if E071 = 0 then
         Ada.Tags'Elab_Body;
      end if;
      E071 := E071 + 1;
      if E068 = 0 then
         Ada.Streams'Elab_Spec;
      end if;
      E068 := E068 + 1;
      if E178 = 0 then
         System.File_Control_Block'Elab_Spec;
      end if;
      E178 := E178 + 1;
      if E102 = 0 then
         System.Finalization_Root'Elab_Spec;
      end if;
      E102 := E102 + 1;
      if E100 = 0 then
         Ada.Finalization'Elab_Spec;
      end if;
      E100 := E100 + 1;
      if E175 = 0 then
         System.File_Io'Elab_Body;
      end if;
      E175 := E175 + 1;
      if E208 = 0 then
         Ada.Streams.Stream_Io'Elab_Spec;
      end if;
      E208 := E208 + 1;
      if E104 = 0 then
         System.Storage_Pools'Elab_Spec;
      end if;
      E104 := E104 + 1;
      if E095 = 0 then
         System.Finalization_Masters'Elab_Spec;
      end if;
      if E095 = 0 then
         System.Finalization_Masters'Elab_Body;
      end if;
      E095 := E095 + 1;
      if E093 = 0 then
         System.Storage_Pools.Subpools'Elab_Spec;
      end if;
      E093 := E093 + 1;
      if E118 = 0 then
         Ada.Calendar'Elab_Spec;
      end if;
      if E118 = 0 then
         Ada.Calendar'Elab_Body;
      end if;
      E118 := E118 + 1;
      if E124 = 0 then
         Ada.Calendar.Time_Zones'Elab_Spec;
      end if;
      E124 := E124 + 1;
      if E171 = 0 then
         Ada.Text_Io'Elab_Spec;
      end if;
      if E171 = 0 then
         Ada.Text_Io'Elab_Body;
      end if;
      E171 := E171 + 1;
      if E113 = 0 then
         Gnat.Calendar'Elab_Spec;
      end if;
      E113 := E113 + 1;
      if E305 = 0 then
         System.Assertions'Elab_Spec;
      end if;
      E305 := E305 + 1;
      if E062 = 0 then
         Ada.Strings.Maps'Elab_Spec;
      end if;
      E062 := E062 + 1;
      if E066 = 0 then
         Ada.Strings.Maps.Constants'Elab_Spec;
      end if;
      E066 := E066 + 1;
      if E087 = 0 then
         Ada.Strings.Unbounded'Elab_Spec;
      end if;
      E087 := E087 + 1;
      if E192 = 0 then
         System.Regpat'Elab_Spec;
      end if;
      E192 := E192 + 1;
      if E232 = 0 then
         System.Task_Primitives.Operations'Elab_Body;
      end if;
      E232 := E232 + 1;
      if E169 = 0 then
         Gnat.Calendar.Time_Io'Elab_Spec;
      end if;
      E169 := E169 + 1;
      if E321 = 0 then
         Gnat.Directory_Operations'Elab_Spec;
      end if;
      if E321 = 0 then
         Gnat.Directory_Operations'Elab_Body;
      end if;
      E321 := E321 + 1;
      if E295 = 0 then
         System.Checked_Pools'Elab_Spec;
      end if;
      E295 := E295 + 1;
      if E290 = 0 then
         Gnat.Debug_Pools'Elab_Spec;
      end if;
      if E290 = 0 then
         Gnat.Debug_Pools'Elab_Body;
      end if;
      E290 := E290 + 1;
      if E159 = 0 then
         System.Pool_Global'Elab_Spec;
      end if;
      E159 := E159 + 1;
      if E187 = 0 then
         Gnat.Expect'Elab_Spec;
      end if;
      E187 := E187 + 1;
      if E157 = 0 then
         System.Pool_Size'Elab_Spec;
      end if;
      E157 := E157 + 1;
      if E330 = 0 then
         System.Regexp'Elab_Spec;
      end if;
      E330 := E330 + 1;
      if E325 = 0 then
         Ada.Directories'Elab_Spec;
      end if;
      if E325 = 0 then
         Ada.Directories'Elab_Body;
      end if;
      E325 := E325 + 1;
      if E254 = 0 then
         System.Tasking.Initialization'Elab_Body;
      end if;
      E254 := E254 + 1;
      if E264 = 0 then
         System.Tasking.Protected_Objects'Elab_Body;
      end if;
      E264 := E264 + 1;
      if E266 = 0 then
         System.Tasking.Protected_Objects.Entries'Elab_Spec;
      end if;
      E266 := E266 + 1;
      if E262 = 0 then
         System.Tasking.Queuing'Elab_Body;
      end if;
      E262 := E262 + 1;
      E145 := E145 + 1;
      if E288 = 0 then
         GNATCOLL.MEMORY'ELAB_BODY;
      end if;
      E288 := E288 + 1;
      E220 := E220 + 1;
      E151 := E151 + 1;
      if E149 = 0 then
         GNATCOLL.REFCOUNT'ELAB_SPEC;
      end if;
      E149 := E149 + 1;
      E280 := E280 + 1;
      if E278 = 0 then
         GNATCOLL.STRINGS'ELAB_SPEC;
      end if;
      if E278 = 0 then
         GNATCOLL.STRINGS'ELAB_BODY;
      end if;
      E278 := E278 + 1;
      if E297 = 0 then
         GNATCOLL.MMAP'ELAB_SPEC;
      end if;
      E299 := E299 + 1;
      E297 := E297 + 1;
      if E301 = 0 then
         GNATCOLL.TEMPLATES'ELAB_SPEC;
      end if;
      E301 := E301 + 1;
      if E303 = 0 then
         GNATCOLL.TERMINAL'ELAB_SPEC;
      end if;
      if E303 = 0 then
         GNATCOLL.TERMINAL'ELAB_BODY;
      end if;
      E303 := E303 + 1;
      E165 := E165 + 1;
      if E161 = 0 then
         GNATCOLL.SQL_IMPL'ELAB_SPEC;
      end if;
      if E161 = 0 then
         GNATCOLL.SQL_IMPL'ELAB_BODY;
      end if;
      E161 := E161 + 1;
      if E139 = 0 then
         GNATCOLL.SQL'ELAB_SPEC;
      end if;
      if E139 = 0 then
         GNATCOLL.SQL'ELAB_BODY;
      end if;
      E139 := E139 + 1;
      if E316 = 0 then
         GNATCOLL.IO'ELAB_SPEC;
      end if;
      if E316 = 0 then
         GNATCOLL.IO'ELAB_BODY;
      end if;
      E316 := E316 + 1;
      if E332 = 0 then
         GNATCOLL.PATH'ELAB_SPEC;
      end if;
      if E332 = 0 then
         GNATCOLL.PATH'ELAB_BODY;
      end if;
      E332 := E332 + 1;
      if E323 = 0 then
         GNATCOLL.IO.NATIVE'ELAB_SPEC;
      end if;
      if E323 = 0 then
         GNATCOLL.IO.NATIVE'ELAB_BODY;
      end if;
      E323 := E323 + 1;
      if E335 = 0 then
         GNATCOLL.REMOTE'ELAB_SPEC;
      end if;
      E335 := E335 + 1;
      if E339 = 0 then
         GNATCOLL.REMOTE.DB'ELAB_SPEC;
      end if;
      E339 := E339 + 1;
      if E319 = 0 then
         GNATCOLL.IO.REMOTE'ELAB_SPEC;
      end if;
      E337 := E337 + 1;
      E334 := E334 + 1;
      if E319 = 0 then
         GNATCOLL.IO.REMOTE'ELAB_BODY;
      end if;
      E319 := E319 + 1;
      if E310 = 0 then
         GNATCOLL.VFS'ELAB_SPEC;
      end if;
      if E310 = 0 then
         GNATCOLL.VFS'ELAB_BODY;
      end if;
      E310 := E310 + 1;
      if E282 = 0 then
         GNATCOLL.TRACES'ELAB_SPEC;
      end if;
      if E282 = 0 then
         GNATCOLL.TRACES'ELAB_BODY;
      end if;
      E282 := E282 + 1;
      if E216 = 0 then
         GNATCOLL.SQL.EXEC'ELAB_SPEC;
      end if;
      if E270 = 0 then
         GNATCOLL.SQL.EXEC_PRIVATE'ELAB_SPEC;
      end if;
      if E270 = 0 then
         GNATCOLL.SQL.EXEC_PRIVATE'ELAB_BODY;
      end if;
      E270 := E270 + 1;
      if E224 = 0 then
         GNATCOLL.SQL.EXEC.TASKING'ELAB_BODY;
      end if;
      E224 := E224 + 1;
      if E216 = 0 then
         GNATCOLL.SQL.EXEC'ELAB_BODY;
      end if;
      E216 := E216 + 1;
      if E006 = 0 then
         GNATCOLL.SQL.SQLITE'ELAB_SPEC;
      end if;
      if E006 = 0 then
         GNATCOLL.SQL.SQLITE'ELAB_BODY;
      end if;
      E006 := E006 + 1;
      if E004 = 0 then
         GNATCOLL.SQL.SQLITE.GNADE'ELAB_SPEC;
      end if;
      if E004 = 0 then
         GNATCOLL.SQL.SQLITE.GNADE'ELAB_BODY;
      end if;
      E004 := E004 + 1;
      if E002 = 0 then
         GNATCOLL.SQL.SQLITE.BUILDER'ELAB_BODY;
      end if;
      E002 := E002 + 1;
   end gnatcoll_sqliteinit;

--  BEGIN Object file/option list
   --   /builddir/build/BUILD/gnatcoll-db-gpl-2018-src/sqlite/obj/relocatable/gnatcoll-sql-sqlite.o
   --   /builddir/build/BUILD/gnatcoll-db-gpl-2018-src/sqlite/obj/relocatable/gnatcoll-sql-sqlite-gnade.o
   --   /builddir/build/BUILD/gnatcoll-db-gpl-2018-src/sqlite/obj/relocatable/gnatcoll-sql-sqlite-builder.o
   --   -L/builddir/build/BUILD/gnatcoll-db-gpl-2018-src/sqlite/obj/relocatable/
   --   -L/builddir/build/BUILD/gnatcoll-db-gpl-2018-src/stage/usr/lib64/gnatcoll_sql/
   --   -L/usr/lib64/gpr/relocatable/gpr/
   --   -L/usr/lib64/xmlada/
   --   -L/usr/lib64/gnatcoll/
   --   -L/usr/lib/gcc/s390x-redhat-linux/9/adalib/
   --   -static
   --   -lgnarl
   --   -lgnat
   --   -lpthread
   --   -lrt
--  END Object file/option list   

end gnatcoll_sqlitemain;
